#ifndef DOCTOTEXT_MISC_H
#define DOCTOTEXT_MISC_H

#include <string>
#include <vector>
#include <ustring.h>
using namespace wvWare;

typedef std::vector<std::string> svector;

enum TableStyle { TABLE_STYLE_TABLE_LOOK, TABLE_STYLE_ONE_ROW, TABLE_STYLE_ONE_COL, };
enum UrlStyle { URL_STYLE_TEXT_ONLY, URL_STYLE_EXTENDED, };
enum ListStyle { LIST_STYLE_NUMBER, LIST_STYLE_DASH, LIST_STYLE_DOT, };

struct FormattingStyle
{
	TableStyle table_style;
	UrlStyle url_style;
	ListStyle list_style;
};


std::string tablesMisc(std::vector<svector> &mcols, FormattingStyle options);
std::string urlsMisc(std::string &mlink, FormattingStyle options);
std::string listsMisc(std::vector<std::string> &mlist, FormattingStyle options);

#endif
